Subject: _Dinner at Deviant's Palace_: review, no spoilers

From: [email-masked] (j eric townsend)
Date: 18 Dec 88 02:15:38 GMT

First, I hate rip-off, plotless, inane, macho fantasies about the world
after the ballon goes up.  I would have never bought this book had I not
see Tim Powers speak at ArmadilloConX.  It has the *worst* cover I've seen
in a while (that there are no semi-nude women on it is its saving grace :-).

Forget what you've been told about the world in the future.  It's a product of
bad Italian movies, equally bad sf (I use that term loosely) and just
plain ole lack of creativity.

Powers is quick and on his feet.  His writing style is fluid and pleasurable
to read.  Narration of events is quite nice.  I never found myself wondering
"Wait, how did that happen?" or "I though Dr. Foo was making a lamp, not
a hydrogen bomb."

A plot synopsis would spoil the book, I feel.  A key part of the book is
the slow introduction of facts about the world, and how the characters
learn about the facts they aren't aware of.

Anyway.  What books would I compare it with?  Um, can't think of any
right off hand.  _Hiero's Journey_, is the closest book I can think of.
It's equal as far as originality, removedness from the typical junk
fiction, etc.

I haven't read anything else by Powers, so I can't comment on the
consistency of _DaDP_ with his other works.

-- 
J. Eric Townsend -- smail: 511 Parker #2, Houston, Tx, 77007
UUCP:   uunet!sugar!flatline!erict
..!bellcore!texbell!/